AbstractClasspathEntry (Gradle API 5.5-20190702033235+0000)
Date: 2019-07-01

Package org.gradle.plugins.ide.eclipse.model

## Class AbstractClasspathEntry

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

- All Implemented Interfaces:
    `ClasspathEntry`
  Direct Known Subclasses:
    `AbstractLibrary`, `Container`, `ProjectDependency`, `SourceFolder`

      public abstract class AbstractClasspathEntry
      extends Object
      implements ClasspathEntry

  Common superclass for all `ClasspathEntry` instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Set<AccessRule>` | `accessRules` |
    `static String` | `COMPONENT_DEPENDENCY_ATTRIBUTE` |
    `static String` | `COMPONENT_NON_DEPENDENCY_ATTRIBUTE` |
    `protected Map<String,​Object>` | `entryAttributes` |
    `protected boolean` | `exported` |
    `protected String` | `path` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractClasspathEntry​(Node node)` |
    `AbstractClasspathEntry​(String path)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Node` | `addClasspathEntry​(Node node, Map<String,​?> attributes)` |
    `void` | `appendNode​(Node node)` |
    `boolean` | `equals​(Object o)` |
    `Set<AccessRule>` | `getAccessRules()` |
    `Map<String,​Object>` | `getEntryAttributes()` |
    `String` | `getNativeLibraryLocation()` |
    `String` | `getPath()` |
    `int` | `hashCode()` |
    `boolean` | `isExported()` |
    `protected String` | `normalizePath​(String path)` |
    `void` | `setAccessRules​(Set<AccessRule> accessRules)` |
    `void` | `setExported​(boolean exported)` |
    `void` | `setNativeLibraryLocation​(String location)` |
    `void` | `setPath​(String path)` |
    `String` | `toString()` |
    `void` | `writeEntryAttributes​(Node node)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.plugins.ide.eclipse.model.ClasspathEntry

      `getKind`

- - ### Field Detail

    - #### COMPONENT_NON_DEPENDENCY_ATTRIBUTE

          public static final String COMPONENT_NON_DEPENDENCY_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### COMPONENT_DEPENDENCY_ATTRIBUTE

          public static final String COMPONENT_DEPENDENCY_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### path

          protected String path

    - #### exported

          protected boolean exported

    - #### accessRules

          protected Set<AccessRule> accessRules

    - #### entryAttributes

          protected final Map<String,​Object> entryAttributes

  - ### Constructor Detail

    - #### AbstractClasspathEntry

          public AbstractClasspathEntry​(Node node)

    - #### AbstractClasspathEntry

          public AbstractClasspathEntry​(String path)

  - ### Method Detail

    - #### getPath

          public String getPath()

    - #### setPath

          public void setPath​(String path)

    - #### isExported

          public boolean isExported()

    - #### setExported

          public void setExported​(boolean exported)

    - #### getAccessRules

          public Set<AccessRule> getAccessRules()

    - #### setAccessRules

          public void setAccessRules​(Set<AccessRule> accessRules)

    - #### getEntryAttributes

          public Map<String,​Object> getEntryAttributes()

    - #### getNativeLibraryLocation

          public String getNativeLibraryLocation()

    - #### setNativeLibraryLocation

          public void setNativeLibraryLocation​(String location)

    - #### appendNode

          public void appendNode​(Node node)

      Specified by:
        `appendNode` in interface `ClasspathEntry`

    - #### addClasspathEntry

          protected Node addClasspathEntry​(Node node,
                                           Map<String,​?> attributes)

    - #### normalizePath

          protected String normalizePath​(String path)

    - #### writeEntryAttributes

          public void writeEntryAttributes​(Node node)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`